{
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
PLATFORM  : Windows 9x/NT/XP - Delphi 5,6,7
PROJECT   : eXpress Application Manager
FILE      : F_XAM_Log.pas
PURPOSE   : Log file viewer.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
LICENSE   : LGPL
AUTHOR    : Copyright 2003 Olivier Rogier 
WEBSITE   : http://www.ordisoftware.info
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
CREATION  : v 1.0.0 - 01/2003
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}

unit F_XAM_Log;

{
#######################################################################################################################
                                                       INTERFACE
#######################################################################################################################
}

interface

uses
  Forms, StdCtrls, Classes, Controls, ExtCtrls;

type
  TfmXAMLog = class(TForm)
    pnMain    : TPanel;
    pnButtons : TPanel;
    btnClose  : TButton;
    Memo      : TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
  private
    FLines : TStrings;
  public
    procedure Execute(Lines : TStringList);
  end;

{
#######################################################################################################################
                                                     IMPLEMENTATION
#######################################################################################################################
}

implementation

{$R *.dfm}

//-------------------------------------------------------------------------------------------------
// TfmXAMLog.FormCreate
//-------------------------------------------------------------------------------------------------
procedure TfmXAMLog.FormCreate(Sender: TObject);
begin
  Caption := Application.Title + ' - Log';
  FLines  := Memo.Lines;
end;

//-------------------------------------------------------------------------------------------------
// TfmXAMLog.FormHide
//-------------------------------------------------------------------------------------------------
procedure TfmXAMLog.FormHide(Sender: TObject);
begin
  Memo.Lines := FLines;
end;

//-------------------------------------------------------------------------------------------------
// TfmXAMLog.Execute
//-------------------------------------------------------------------------------------------------
procedure TfmXAMLog.Execute(Lines: TStringList);
begin
  Memo.Lines := Lines;
  Show;
end;

//-------------------------------------------------------------------------------------------------
// TfmXAMLog.btnCloseClick
//-------------------------------------------------------------------------------------------------
procedure TfmXAMLog.btnCloseClick(Sender: TObject);
begin
  Close;
end;

end.

